---
title: "NumberInput"
generated: true
---


## NumberInput

<GenerationInfo sourceFile="packages/dashboard/src/lib/components/data-input/number-input.tsx" sourceLine="23" packageName="@vendure/dashboard" />

A component for displaying a numeric value.

```ts title="Signature"
function NumberInput(props: Readonly<NumberInputProps>): void
```
Parameters

### props

<MemberInfo kind="parameter" type={`Readonly&#60;NumberInputProps&#62;`} />

